• Post Reply Bookmark Topic Watch Topic
  • New Topic

SecurityException how to ?  RSS feed

 
kaher karim
Greenhorn
Posts: 1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,
I try to use Databases acces on PDA J2ME.
The problem is that I can't change the JVM Version of all the PDAs that use the software I develop.
I have to use JSR169 to have all the Statement, ResultSet, Connection and other stuff I need to query a database. BUT the JVM used is old and do not understand the -bootclasspath or -Xbootclasspath that would have allowed me to force the use of java.*.* packages.
The problem is that when I launch my JAR I have a wonderfull SecurityException due to a prohibited package Name : java.sql...
How can I force the JVM to take this package without the bootclasspath option that permit jumping over the security policies ???

Thank for your help, sorry for my bad "frenglish"

Kheraud
 
Rob Spoor
Sheriff
Posts: 20872
71
Chrome Eclipse IDE Java Windows
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
kaher karim,

Can you please check your private messages regarding a little question I have?

Thank you,

Rob
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!